ITapis

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## chkoba
Interface ITapis

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  TapisImpl

    public interface ITapis

extends java.rmi.Remote

Interface Tapis

Method Summary
`void` | `add()`
`void` | `add(ICarte c)`
`java.lang.String` | `affiche()` AFFICHAGE
`ICarte` | `get(ICarte c)`
`ICarte` | `get(int i)`
`boolean` | `remove(ICarte c)` METHODES
`boolean` | `remove(int i)`
`boolean` | `removeAll(java.util.ArrayList<ICarte> array)`
`int` | `size()` ACCESSEURS
`int` | `somme()`

Method Detail

### remove

    boolean remove(ICarte c)
                   throws java.rmi.RemoteException

  METHODES

  Throws:
    `java.rmi.RemoteException`

### remove

    boolean remove(int i)
                   throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### add

    void add(ICarte c)
             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### add

    void add()
             throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### somme

    int somme()
              throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### removeAll

    boolean removeAll(java.util.ArrayList<ICarte> array)
                      throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### size

    int size()
             throws java.rmi.RemoteException

  ACCESSEURS

  Throws:
    `java.rmi.RemoteException`

### get

    ICarte get(int i)
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### get

    ICarte get(ICarte c)
               throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### affiche

    java.lang.String affiche()
                             throws java.rmi.RemoteException

  AFFICHAGE

  Throws:
    `java.rmi.RemoteException`

Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD